function confirmation() {
	
	var question = confirm("Suppression de l'enregistrement ?")
	if(question)
	 {
		//alert("redirection");
		document.getElementById('valide1').value="ok";
		//window.location = "http://www.google.fr";
		//   document.location.href="supprime_enregistrement.php" ;
		//window.location.replace("127.0.0.1/SITE05/compte/supprime_enregistrement.php");
		 
		/*var blabla = document.getElementById('valide').value;
		
		if(blabla == "toto")
		 { alert("Merde");
		 }	
		 
		  document.getElementById('valide').value = "chat";
		  
		  var blabla = document.getElementById('valide').value;
		
		if(blabla == "chat")
		 { alert("du con");
		 }	*/
		
	}
	else{
		document.getElementById('valide1').value="stop";
		 return false;
	}
}

function traitement()
	{
		
		var errors = [];
		var alphaExp = /^[a-zA-Z]+$/;
		var numericExpression = /^[0-9]+$/;
		
		var titre = document.getElementById('titre').value;
		var nom = document.getElementById('nom').value;
		var prenom = document.getElementById('prenom').value;
		var adresse = document.getElementById('adresse').value;
		var cp = document.getElementById('cp').value;
		var ville = document.getElementById('ville').value;
		
		/*alert("Trace modification custom");*/
		
		
		if(titre == "")
		{	 errors[errors.length] = "Saisir un titre.";
		         
		    
 		}
		else {
			    if(!titre.match(alphaExp))
		  	      { errors[errors.length] = "Votre titre n'est pas conforme.";
		  	        
		              }
		     }
		
		if(nom == "")
		{	 errors[errors.length] = "Saisir votre nom.";
		         
		    
 		}
		else {
			    if(!nom.match(alphaExp))
		  	      { errors[errors.length] = "Votre nom doit contenir uniquement des lettres.";
		  	        
		              }
		     }
	
		
		if(prenom == "")
		   {	 errors[errors.length] = "Saisir votre prénom.";
		         
		    
 		}
		else {  
			    if(!prenom.match(alphaExp))
		  	      { 
		  	       errors[errors.length] = "Votre prénom doit contenir uniquement des lettres.";
			    
		          }
			 }
			 
		
		if(adresse == "")
		{	 errors[errors.length] = "Saisir votre adresse.";
		        
		    
 		}
		
		
		if(cp == "")
		{	 errors[errors.length] = "Saisir votre code postal.";
		         
		    
 		}
		else {  
			    if(!cp.match(numericExpression))
		  	      { 
				    errors[errors.length] = "Votre code postal doit contenir uniquement des chiffres.";
				    
		          }
				  
				 else { 
				         if ( cp.length <5 )
					    {  errors[errors.length] = "Votre code postal est invalide.";
			 		       
					    }
				      }
		  }
			 		
		if(ville == "")
		{	 errors[errors.length] = "Saisir le nom de votre ville.";
			 
		    
 		}		
		else {
			    if(!ville.match(alphaExp))
		  	      { errors[errors.length] = "Le nom de votre ville doit contenir uniquement des lettres.";
		  	        
		          }
			 }			 

			 
			 
			 
		if (errors.length > 0)
		{
		  reportErrors(errors);
		  return false;
		  
		}
	        else { 
	               //alert(" Passage1");
			document.getElementById('sauver').value="ok";
			/*alert(" Passage2");*/
			;return true;	
	             }		 
			 
		
		
	}	
	
	
	function reportErrors(errors)
		{
		  var msg = "Veuillez apporter les corrections suivantes...\n";
		  for (var i = 0; i<errors.length; i++) 
		  {
			 var numError = i + 1;
		     msg += "\n" + numError + ". " + errors[i];
		  }
		 alert(msg);
		}	